Bug 37277 - Identifiers need a space between the ISBN (Print) and ISBN (Online) in ERM
Summary: Identifiers need a space between the ISBN (Print) and ISBN (Online) in ERM
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: ERM (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Pedro Amorim
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2024-07-08 19:54 UTC by Esther Melander
Modified: 2024-07-11 11:43 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This fixes the display of identifiers for local titles so that are on separate lines, instead of joined together on the same line.
Version(s) released in:
24.11.00


Attachments
Identifiers run together (11.97 KB, image/png)
2024-07-08 19:54 UTC, Esther Melander
Details
Bug 37277: Detach identifiers on the local title list view (2.22 KB, patch)
2024-07-09 14:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 37277: Detach identifiers on the local title list view (2.26 KB, patch)
2024-07-09 19:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 37277: Detach identifiers on the local title list view (2.32 KB, patch)
2024-07-10 10:30 UTC, Pedro Amorim
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Esther Melander 2024-07-08 19:54:10 UTC
Created attachment 168623 [details]
Identifiers run together

To replicate:

1. Enable ERM
2. Go to Local Titles
3. Add a new title and add an identifier for both Print and Online.
4. Submit

In the table with the list of titles see that the ISBN (Print) and ISBN (Online) run together. See attached example.
Comment 1 Jonathan Druart 2024-07-09 14:29:21 UTC
What would you prefer? One by line?
Comment 2 Jonathan Druart 2024-07-09 14:31:22 UTC
Created attachment 168664 [details] [review]
Bug 37277: Detach identifiers on the local title list view

If a local title has both ISBN (Print) and ISBN (Online) the 2 values
are concanetate on the same line without space on the the local title
list view.

With this patch they are now separated by a new line.
Comment 3 David Nind 2024-07-09 19:27:18 UTC
Created attachment 168684 [details] [review]
Bug 37277: Detach identifiers on the local title list view

If a local title has both ISBN (Print) and ISBN (Online) the 2 values
are concanetate on the same line without space on the the local title
list view.

With this patch they are now separated by a new line.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Pedro Amorim 2024-07-10 10:30:05 UTC
Created attachment 168711 [details] [review]
Bug 37277: Detach identifiers on the local title list view

If a local title has both ISBN (Print) and ISBN (Online) the 2 values
are concanetate on the same line without space on the the local title
list view.

With this patch they are now separated by a new line.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 5 Katrin Fischer 2024-07-11 11:43:29 UTC
Pushed for 24.11!

Well done everyone, thank you!